Subject: Re: bug#12419: Mouse click changes layout

From: martin rudalics <[email-masked]>
Date: Fri, 14 Sep 2012 11:00:50 +0200

>> Can you improve the behavior by changing the value of
 >> `resize-mini-windows'?
 >
 > It has it's default value of grow-only.  I like the feature and wouldn't
 > want to turn it off.

I meant for testing purposes only.

 > I guess the annoying thing is that the resizing happens on mouse-down
 > and side-ways scrolling on mouse-drag, i.e. in the middle of my
 > operation.  If it were deferred till mouse-up (or till I drag to outside
 > of the window to force scrolling), then it would be consistent with
 > regard to where I clicked.

You could try to inject some code at the beginning of
`window--resize-root-window-vertically' that writes a backtrace into a
buffer.  This way we could get some information about the kind of
mouse-event that caused the resizing.

martin